Take the 2-minute tour ×
Super User is a question and answer site for computer enthusiasts and power users. It's 100% free, no registration required.

I'm using Firefox 5.0.7 Beta on Windows 7 and wanted to switch the channel to normal, but can't seem to find it (going into Help>About). It just says that Firefox is up to date but there is no channel switching link.

On my side

Instead of this:

What it should look like

So, how do I re-enable it?

share|improve this question

5 Answers 5

up vote 3 down vote accepted

They chose to remove it http://www.browserscene.com/2011/06/firefox-dropping-its-channel-switcher.html

share|improve this answer
    
Tnx for the tip. I supposed it was something like this. –  Daniel Fath Jun 17 '11 at 16:26

While, as @Casey describes, they did take it out of the about box (see Update on Channel Switcher. They still have the idea of channels. There just isn't a GUI for it anymore. Instead you need to edit the file defaults/pref/channel-prefs.js in the Firefox application directory and update the value of app.update.channel. Do not make this change in the about:config because this is an application-level pref (not a profile-level one).

What is a little confusing here is they pushed the release version into the beta channel. So even if you are in the beta channel you got the release version. If you look at app.update.channel you will see "beta" is defined as "Betas, release candidates, and final releases."

In theory, if your app.update.channel is still beta, when the next beta comes out you will upgrade to that. I'm not sure if that will be a beta of 5.1 or a beta of 6.

With that last point in mind, if you haven't already, I highly recommend changing your updates setting to "Ask me what I want to do" so you will have some warning. You can change it in Options/Advanced/Update. Note that this seems to be (incorrectly IMHO) a profile-level setting, so you need to do it for each profile you are using.

Also see some related discussion at Beta channel switched automatically to release.

share|improve this answer

In short, so that people don't need to go to another site to see the explanation :
Mozilla decided it serves it's users better if, rather than a channel selector, they use side by side install of the various versions, and to switch between one and the other by restarting.

So they are pushing http://blog.mozilla.com/channels/ now instead, which offers direct links to download the various versions. Both the about dialog channel selector and the selector extension are deprecated. You may succeed at switching the channel by playing with some options in the profile, but it's complex and not intended to be the normal usage.

share|improve this answer

Well, only to add some info, and asking your question in another way:

  1. The link to change update channel disappeared since FF5. I'm using FF12 and it still doesn't have that button. You can search for a FF extension to add a button in FF to switch channels or you can switch channels following the 2nd section of that answer.

  2. You can change the update channel manually (on a default installation on Windows) on:

    %programfiles%\Mozilla Firefox\defaults\pref\channel-prefs.js

    • To switch channel to release, change 2nd line to:

      pref("app.update.channel", "release");

    • To switch channel to beta, change 2nd line to:

      pref("app.update.channel", "beta");

    After changes, you must restart Firefox to apply them. It changes the channel for all profiles on that installation.

share|improve this answer

Im not sure how to fix that missing option, but you download this and it will allow you to change the channel your using.

Update Channel Selector
This extension allows you to change the update channel your application receives updates from. If you don’t understand what this means then read about update channels.

share|improve this answer
    
Sadly it seems it's incompatible with FF 5.0. I'm sure there is a way to disable compatibility testing but I'm unacquainted with it about:config > extensions.checkCompatibility flag doesn't exist in FF5 –  Daniel Fath Jun 17 '11 at 11:24
    
checkCompatibility doesn't really have to do with channels, but FYI see kb.mozillazine.org/Extensions.checkCompatibility. You now have to put the specific version the pref name including the b for beta - which can get confusing. I suggest using the nightly tester tools. –  studgeek Jun 21 '11 at 19:42

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.